

/* 
 * @Program To Read XML Data from a Stream.
 * ReadingXmlDataFromStream.java 
 * Author:-RoseIndia Team
 * Date:-17-July-2008
 */
import java.io.*;
import org.w3c.dom.*;
import javax.xml.parsers.*;
import javax.xml.transform.*;
import javax.xml.transform.dom.*;
import javax.xml.transform.stream.*;

public class ReadingXmlDataFromStream {

    public static void main(String[] args) throws Exception {
        File xmlfile = new File("Document4.xml");
        DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
        DocumentBuilder builder = factory.newDocumentBuilder();
        Document doc = builder.parse(xmlfile);
        new ReadingXmlDataFromStream().readdata(doc);
    }

    public void readdata(Document doc) throws Exception {
        TransformerFactory transformerFactory = TransformerFactory.newInstance();
        Transformer transformer = transformerFactory.newTransformer();
        transformer.setOutputProperty(OutputKeys.INDENT, "yes");

        StringWriter writer = new StringWriter();
        StreamResult result = new StreamResult(writer);
        DOMSource source = new DOMSource(doc);
        transformer.transform(source, result);
        String string=writer.toString();
        System.out.println(string);
        
    }
}
